if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then

	local old_wftd_init = WeaponFactoryTweakData.init
	function WeaponFactoryTweakData:init()
		old_wftd_init(self)
		self:fix_dmr()
	end
		--deletes negative ammo pickup multiplier
	function WeaponFactoryTweakData:fix_dmr()
		self.parts.wpn_fps_ammo_type.custom_stats = {
			ammo_pickup_min_mul = 0.675, 
			ammo_pickup_max_mul = 0.675
			}
    	self.parts.wpn_fps_upg_ass_ak_b_zastava.custom_stats = {
			ammo_pickup_min_mul = 0.675, 
			ammo_pickup_max_mul = 0.675
    		}
        self.parts.wpn_fps_upg_ass_m4_b_beowulf.custom_stats = {
			ammo_pickup_min_mul = 0.675, 
			ammo_pickup_max_mul = 0.675
			}
		self.wpn_fps_ass_m16.override.wpn_fps_upg_ass_m4_b_beowulf.custom_stats = {
			ammo_pickup_min_mul = 1.08, 
			ammo_pickup_max_mul = 1.08
    		}
    	self.wpn_fps_ass_74.override.wpn_fps_upg_ass_ak_b_zastava.custom_stats = {
    		ammo_pickup_min_mul = 0.675, 
			ammo_pickup_max_mul = 0.675
			}

	end
end